Bug 252215 - print/lilypond: update to 2.21.82
Summary: print/lilypond: update to 2.21.82
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: http://lilypond.org/news.html#LilyPon...
Keywords:
Depends on:
Blocks: 249755
  Show dependency treegraph
 
Reported: 2020-12-27 17:41 UTC by m.ne
Modified: 2020-12-29 14:27 UTC (History)
1 user (show)

See Also:


Attachments
patch for print/lilypond to 2.21.82 (22.05 KB, patch)
2020-12-27 17:41 UTC, m.ne
m.ne: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2020-12-27 17:41:52 UTC
Created attachment 221018 [details]
patch for print/lilypond to 2.21.82

- Update to 2.21.82
- Remove deprecated dependency on Python 2.7

Although 2.21.82 technically is an unstable release, I consider temporarily using that version preferable to losing the port with the pending removal of Python 2 from the ports tree. From a user's perspective it should be pretty much identical to the upcoming stable 2.22 release, which should be ready early to mid january.
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-28 13:40:03 UTC
Committed,

Thanks!
Comment 2 commit-hook freebsd_committer 2020-12-28 13:40:26 UTC
A commit references this bug:

Author: fernape
Date: Mon Dec 28 13:39:57 UTC 2020
New revision: 559469
URL: https://svnweb.freebsd.org/changeset/ports/559469

Log:
  print/lilypond:  update to 2.21.82

  Remove deprecated dependency on Python 2.7

  ChangeLog:
  http://lilypond.org/news.html#LilyPond-2_002e21_005e82-released-December-15_002c-2020

  PR:	252215
  Submitted by:	m.ne@gmx.net (maintainer)

Changes:
  head/print/lilypond/Makefile
  head/print/lilypond/distinfo
  head/print/lilypond/files/patch-Documentation_GNUmakefile
  head/print/lilypond/files/patch-config.make.in
  head/print/lilypond/files/patch-configure
  head/print/lilypond/files/patch-flower_include_std-string.hh
  head/print/lilypond/files/patch-flower_include_std-vector.hh
  head/print/lilypond/files/patch-lily_include_lily-guile.hh
  head/print/lilypond/files/patch-lily_midi-item.cc
  head/print/lilypond/files/patch-python_GNUmakefile
  head/print/lilypond/files/patch-stepmake_stepmake_texinfo-vars.make
  head/print/lilypond/pkg-plist